Xeonr Developer Docs
API SpecificationEgress

StreamEgressEvents

POST
/containers.api.v1.EgressPolicyService/StreamEgressEvents

Authorization

BearerAuth
AuthorizationBearer <token>

A namespace-scoped API key (cpk_…) for machines, or a Xeonr Auth OIDC token for humans. The key's namespace and role are pinned server-side.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/connect+json

namespace?string
principalId?string

optional filter

sinceUnix?integer|string

optional replay window before going live

Formatint64
[key: string]?never

Response Body

application/connect+json

application/connect+json

curl -X POST "https://containers.xeonr.io/containers.api.v1.EgressPolicyService/StreamEgressEvents" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/connect+json" \  -d ''
{
  "event": {
    "principalId": "string",
    "namespace": "string",
    "atUnix": 0,
    "host": "string",
    "port": 0,
    "method": "string",
    "path": "string",
    "status": 0,
    "bytes": 0,
    "decision": "DECISION_UNSPECIFIED",
    "eventId": "string",
    "detail": "string"
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}